@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100..900;1,100..900&display=swap');

body {
    margin: 0;
    padding: 0;
    display: flex;
    flex-direction: column;
    background-color: rgb(35, 34, 34);
    height: 100vh;
}

* {
    color: white;
    font-family: Roboto, sans-serif;
    font-weight: normal;
    padding: 0;
    margin: 0;
}

.title {
    text-align: center;
    margin: 35px 0;
    font-size: 30px;
}

.boxes, .algs {
    display: flex;
    flex-wrap: wrap;
}

.boxes {
    justify-content: space-around;
}

.algs {
    margin-left: 10px;
    gap: 20px;
    margin-bottom: 50px;
}

.box, .alg {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.box {
    width: 400px;
    height: 300px;
    margin-bottom: 30px;
    box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
}

.alg {
    width: 400px;
    height: 250px;
    border: 4px solid rgb(68, 67, 67);
}

.box:hover {
    transform: scale(1.05);
    transition: transform 0.15s ease-in-out;
}

.box:not(:hover) {
    transform: scale(1);
    transition: transform 0.15s ease-in-out;
}

.box-img {
    width: 180px;
    height: 180px;
    margin-bottom: 30px;
}

.alg-img {
    width: 150px;
    height: 150px;
    margin-bottom: 10px;
}

.box-text, .alg-text, .alg-name {
    font-size: 18px;
}

.alg-text {
    margin-bottom: 10px;
    width: 80%;
    text-align: center;
}

a {
   text-decoration: none;
}

.description {
    font-size: 18px;
    width: 80%;
    margin-left: 10px;
    margin-bottom: 30px;
}

.subheading {
    margin-left: 10px;
    font-size: 24px;
    margin-bottom: 20px;
}

footer {
    margin-top: 30px;
    text-align: center;
    padding-bottom: 30px;
}

#timer-alg {
    text-align: center;
    font-size: 25px;
    word-spacing: 10px;
}

#timer-container {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 50vh;
}

#timer-text {
    font-size: 70px;
}

#times-container {
    height: 30vh;
    width: 50%;
    overflow-y: scroll;
}

#times-container::-webkit-scrollbar {
    background-color: rgb(48, 48, 48);
    border-radius: 20px;
}

#times-container::-webkit-scrollbar-thumb {
    background-color: rgb(28, 28, 28);
    border-radius: 20px;
    border: 2px solid black;
    width: 5px;
}

#times {
    font-size: 20px;
}

.time-item {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-left: 10px;
    height: 50px;
}

#puzzle-container {
    height: 150px;
    display: flex;
    justify-content: center;
    align-items: center;
}

#puzzles {
    background-color: rgb(35, 34, 34);
    height: 40px;
    width: 200px;
    color: white;
    border: none;
    box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
    font-size: 22px;
    padding-left: 5px;
}

::selection {
    color: black;
    background-color: white;
}

button {
    height: 30px;
    width: 30px;
    border-radius: 10px;
    background: none;
    transition: 0.3s;
    border: none;
    margin-right: 20px;
    font-size: 16px;
}

button:hover {
    text-shadow: 0 0 5px white;
}

#display {
    display: flex;
}

#stats-container {
    width: 50%;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
}

#average-text, #ao5-text, #ao12-text, #mo3-text, #average-text-pb, #ao5-text-pb, #ao12-text-pb, #mo3-text-pb {
    font-size: 22px;
    background-color: rgb(44, 44, 44);
    border-bottom: 4px solid rgb(27, 26, 26);
    width: 90%;
    border-radius: 12px;
    padding: 15px 0;
    text-align: center;
}

#stats-container-pb, #stats-container-current {
    display: flex;
    flex-direction: column;
    justify-content: center;
    width: 100%;
    align-items: center;
    gap: 8px;
}

#clear-times {
    width: 20%;
    margin: auto;
    height: 50px;
    background-color: rgb(44, 44, 44);
}

#home {
    margin-top: 20px;
    margin-left: 20px;
}